create table FEE_DETAIL
(
    ID                 VARCHAR2(36),
    TENANCY_ID         VARCHAR2(36),
    FEE_BILL_ID        VARCHAR2(36),
    FEE_BILL_NO        VARCHAR2(20),
    VBILL_ID           VARCHAR2(24),
    VBILL_NO           VARCHAR2(24),
    BUSSINESS_CODE     VARCHAR2(36),
    FEE_GROUP_ID       VARCHAR2(36),
    WORK_TYPE_CODE     VARCHAR2(2),
    FEE_LIST_ID        VARCHAR2(36),
    TARIFF_ID          VARCHAR2(36),
    CLIENT_CODE        VARCHAR2(36),
    CLIENT_NAME        VARCHAR2(40),
    CLIENT_DESC        VARCHAR2(40),
    WEIGHT             NUMBER(14, 3),
    VOLUME             NUMBER(14, 3),
    PIECES             NUMBER(14, 3),
    QUANTITY           NUMBER(12, 3),
    ACTUAL_RATE        NUMBER(12, 3),
    CALC_MONEY         NUMBER(12, 3),
    DERATE_MONEY       NUMBER(12, 3),
    FINAL_MONEY        NUMBER(12, 3),
    DISCOUNT           NUMBER(12, 3),
    ST_RATE            NUMBER(12, 3),
    ST_MONEY           NUMBER(12, 3),
    PAYMENT_TYPE       NUMBER(1),
    ENTERED_FLAG       VARCHAR2(1),
    ITEM_CODE          VARCHAR2(20),
    NOTES              VARCHAR2(2000),
    CURRENCY           VARCHAR2(36),
    UNIT_ID            VARCHAR2(5),
    SETTLE_BY          VARCHAR2(32),
    SETTLE_ON          TIMESTAMP(6),
    INVOICE_NO         VARCHAR2(20),
    INVOICE_KIND       NUMBER(2),
    CONTRACT_ID        VARCHAR2(36),
    CONTRACT_NAME      VARCHAR2(50),
    CHECK_FLAG         VARCHAR2(1),
    CHECK_NAME         VARCHAR2(10),
    CHECK_TIME         TIMESTAMP(6),
    INVALID_FLAG       VARCHAR2(1),
    INVALID_BY         VARCHAR2(36),
    INVALID_ON         TIMESTAMP(6),
    CREATED_BY         VARCHAR2(36),
    CREATED_ON         TIMESTAMP(6),
    UPDATED_BY         VARCHAR2(36),
    UPDATED_ON         TIMESTAMP(6),
    PAY_RECEIVE_TYPE   VARCHAR2(2),
    SERIAL_NO          VARCHAR2(36),
    JOB_CATEGORY_CODE  VARCHAR2(36),
    JOB_FINISH_DATE    TIMESTAMP(6),
    ENABLED            NUMBER(1),
    OUT_TIME           TIMESTAMP(6),
    IN_TIME            TIMESTAMP(6),
    PAY_FLAG           NUMBER(1),
    SETTLE_TIME_ON     TIMESTAMP(6),
    SETTLE_TIME_END    TIMESTAMP(6),
    ENTERED_NODES      VARCHAR2(1000),
    DERATE_DAYS        NUMBER(5),
    SETTLE_DAYS        NUMBER(5),
    INVOICE_TYPE       VARCHAR2(32),
    SETTLEMENT_CODE    VARCHAR2(32),
    ORIGINAL_ITEM_NAME VARCHAR2(50),
    CALC_DAYS          NUMBER(5),
    SOURCE_ITEM_CODE   VARCHAR2(32),
    TARIFF_NOTE        VARCHAR2(100),
    TARIFF_DESCRIPTION VARCHAR2(100),
    SETTLE_STATUS      NUMBER(1)
)
/

